pike.git / src / modules / Mysql / configure.in

version» Context lines:

pike.git/src/modules/Mysql/configure.in:1:   # - # $Id: configure.in,v 1.31 2002/03/18 13:10:53 grubba Exp $ + # $Id: configure.in,v 1.32 2002/07/16 19:46:28 per Exp $   #   # Configure script for the mysql-module   #   # Henrik Grubbström   #      #   # NOTE:   # Prior to 3.20.0 After 3.20.0 - # -------------------------------------------------------------- + # -------------------------------------------------------------------   # /usr/local/mysql/mach-lib-threads /usr/local/lib/mysql   # /usr/local/mysql/include /usr/local/include/mysql   # libmysql.a libmysqllib.a   # libstrings.a libmystrings.a   #         AC_INIT(mysql.c)   AC_CONFIG_HEADER(config.h)   
pike.git/src/modules/Mysql/configure.in:85:    fi       # Header file       AC_CHECK_HEADERS(winsock.h mysql.h mysql/mysql.h errmsg.h mysql/errmsg.h)       # Mysql libs       pike_cv_mysql="unknown"    +  +  AC_CHECK_LIB(mysqlclient, bchange, [ +  LIBS="-lmysqlclient $LIBS" +  MYSQL_LIBS="-lmysqlclient" +  pike_cv_mysql="post3.20" +  ], [    AC_CHECK_LIB(mystrings, bchange, [    LIBS="-lmystrings $LIBS"    MYSQL_LIBS="-lmystrings ${MYSQL_LIBS}"    pike_cv_mysql="post3.20"    ], [    AC_CHECK_LIB(strings, bchange, [    LIBS="-lstrings $LIBS"    MYSQL_LIBS="-lstrings ${MYSQL_LIBS}"    pike_cv_mysql="pre3.20"    ], [])    ]) -  + ])       AC_MSG_CHECKING(Mysql version)       AC_MSG_RESULT($pike_cv_mysql)       # System libs which might be needed       if echo $LIBS|grep -- -lsocket >&5 2>&5; then    :    else